#
#  Config file for the algorithmics p4000 evaluation board with R4600 cpu
#
#  $Id: p4600.cfg,v 1.2 2001-09-27 12:02:52 chris Exp $
#


include $(RTEMS_ROOT)/make/custom/default.cfg

RTEMS_CPU=mips64orion
RTEMS_CPU_MODEL=R4600

# This is the actual bsp directory used during the build process.
RTEMS_BSP_FAMILY=p4000

CPU_CFLAGS=-mcpu=4600 -G0
CCMIPS_CFLAGS_CPU=-cpu=r4600

CPU_DEFINES+=-DP4000 -DCPU_R4000 -DP3_DIAG -D_R4000 -D__mips=3

#  This section makes the target dependent options file.

#  NDEBUG (C library)
#     if defined asserts do not generate code.  This is commonly used
#     as a command line option.
#
#  RTEMS_TEST_NO_PAUSE (RTEMS tests)
#     do not pause between screens of output in the rtems tests
#
#  RTEMS_DEBUG (RTEMS)
#     If defined, debug checks in RTEMS and support library code are enabled.
#

define make-target-options
	@echo "/* #define NDEBUG 1 */ "                     >>$@
	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
endef


# optimize flag: typically -0, could use -O4 or -fast
# -O4 is ok for RTEMS
CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer

# The following are definitions of make-exe which will work using ld as
# is currently required.  It is expected that as of gcc 2.8, the end user
# will be able to override parts of the compilers specs and link using gcc.

ifeq ($(RTEMS_USE_GCC272),yes)
# This rule was used in 3.6.0
#	$(CC) $(LDFLAGS) -nostdlib -o $(basename $@).exe \
#	    -T$(PROJECT_RELEASE)/lib/linkcmds $(LINK_FILES) $(LD_PATHS:%=-L %)

define make-exe
	$(LD) $(LDFLAGS) -N -T $(LINKCMDS) -o $(basename $@).exe \
	    $(START_FILE) $(LINK_OBJS) \
	    --start-group $(LINK_LIBS) --end-group
	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
	$(RM) $(basename $@).srec1
	$(NM) -n $(basename $@).exe > $(basename $@).num
	$(SIZE) $(basename $@).exe
endef
else
define make-exe
	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
	    -o $@ $(LINK_OBJS) $(LINK_LIBS)
	$(OBJCOPY) -O srec $@ $(basename $@).srec1
        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
	$(RM) $(basename $@).srec1
	$(NM) -n $@ > $(basename $@).num
	$(SIZE) $@
endef
endif

# Miscellaneous additions go here

